# Interface AbstractReplicatedMap.MapOwner

All Known Implementing Classes:
  `BackupManager, ClusterSingleSignOn, ReplicatedContext`

Enclosing class:
  `AbstractReplicatedMap<K,V>`

public static interface AbstractReplicatedMap.MapOwner
Interface for the owner of this replicated map.

## Method Summary

Modifier and Type
Method
Description
`void`
`objectMadePrimary(Object key, Object value)`
Called when an object becomes primary on this node.

## Method Details

### objectMadePrimary

void objectMadePrimary(Object key, Object value)
Called when an object becomes primary on this node.

Parameters:
  `key` - The key of the object
  `value` - The value of the object